import { world, Player } from "@minecraft/server";

Object.defineProperty(globalThis, 'Database', {
    get: function () {
        return {

            set(key, value, player = null) {
                if (typeof value === 'object') value = JSON.stringify(value);
                (player || world).setDynamicProperty(key, value);
            },

            get(key, player = null) {
                let value = (player || world).getDynamicProperty(key);
                try { value = JSON.parse(value); } catch (e) {}
                return value;
            },

            has(key, player = null) {
                return !!(player || world).getDynamicProperty(key);
            },

            delete(key, player = null) {
                (player || world).setDynamicProperty(key, null);
            },

            entries(player) {
                return (player || world).getDynamicPropertyIds().map((value) => [value, this.get(value, (player || world))]);
            }
        };
    }
});

export default Database;