import { ActionFormData } from "@minecraft/server-ui";
import AdminMenu from "../index.js";

/**
 * 
 * @param {Player} player 
 */
export default function Effect(player) {
    const tagOptions = {
        "§aVanish": "vanish",
        "§bFly": "fly",
        "§6Speed": "speed",
        "§1Jump Boost": "jumpboost",
        "§qInvisibility": "invisibility",
        "§5Haste": "haste",
        "§4Strength": "strength",
        "§2Resistance": "resistance",
        "§eFire Resistance": "fireresistance",
        "§8Clear": "clear"
    };

    const form = new ActionFormData().title('§3Effect Menu');

    Object.keys(tagOptions).forEach(option => {
        form.button(option);
    });

    form.button('§cBack');

    form.show(player).then(({ canceled, selection }) => {
        if (canceled) return;
        
        const optionName = Object.keys(tagOptions)[selection];
        const tagToAdd = tagOptions[optionName];

        if (!tagToAdd) return AdminMenu(player);

        // Adding tag to player
        player.addTag(tagToAdd);
        player.sendMessage(`§aEffect "§3${tagToAdd}§a" added successfully!`);
    });
}
