import { world } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import TPA from "./TPA.js";
import TPAUnblock from "./TPAUnblock.js";
import TPAToggle from "./TPAToggle.js";
import AdminMenu from "../index.js";
/**
 * @param {Player} player
 */
export default function TPAMenu(player) {
    const form = new ActionFormData()
        .title("§9TPA")
        .body(`§fManage teleport requests.\n\n§7Status: §e${player.getTags().includes("blocktpa_all") ? "§cBlocked" : "§aAllowed"}`)
        .button("§aTPA to Player")
        .button("§eUnblock a Player")
        .button("§cToggle All Requests")
        .button("§8Back");

    form.show(player).then(({ canceled, selection }) => {
        if (canceled || selection === 3) return AdminMenu(player);;

        switch (selection) {
            case 0: return TPA(player);
            case 1: return TPAUnblock(player);
            case 2: return TPAToggle(player);
        }
    });
}
