import { world } from "@minecraft/server";
import { ModalFormData } from "@minecraft/server-ui";
import TPAMenu from "./TPAMenu.js";

/**
 * @param {Player} player
 */
export default async function TPAUnblock(player) {
    // Only show block tags for specific players, not "blocktpa_all"
    const blockTags = player.getTags().filter(tag => tag.startsWith("blocktpa_") && tag !== "blocktpa_all");

    if (blockTags.length === 0) {
        player.sendMessage("§cYou haven't blocked any individual players.");
        return TPAMenu(player);
    }

    const names = blockTags.map(tag => tag.replace("blocktpa_", ""));

    const form = new ModalFormData()
        .title("§eUnblock Player")
        .dropdown("§7Select a player to unblock:", names);

    const { canceled, formValues } = await form.show(player);
    if (canceled) return;

    const targetName = names[formValues[0]];
    player.removeTag(`blocktpa_${targetName}`);
    player.sendMessage(`§aYou have unblocked §e${targetName}`);
}
