import { ActionFormData } from "@minecraft/server-ui";

import AdminMenu from "../index.js";



/**

 * 

 * @param {Player} player 

 */

export default function PlayerTeleport(player) {

    const teleportDestinations = {

        "§bSky§dGen§r": [0, 0, 0],
	"§qVIP+": [-945, 2, -1021],
	"§9OMEGA": [-914, 0, -952],
	"§dULTRA": [-1012, 1, -870],
	"§l§cROYALTY": [-881, 2, -855],
	" §6§lPREMIUM§r ": [-5209, 18, -4917],
        "§6SHOP": [-995, 1, -967],
        "§aKIT SHOP": [-994, 0, -930],
	"§fGEN SHOP": [-1033, 1, -967],
	"§4PVP AREA": [-3000, 1, -3000],
        "§sPRIVATE PLOT": [2000, 0, 2000],
        "§uCASINO": [-901, 0, -1090]
    };



    const form = new ActionFormData().title('§3Teleport Menu');



    Object.keys(teleportDestinations).forEach(destination => {

        form.button(`§4${destination}`);

    });



    form.button('§cBack');



    form.show(player).then(({ canceled, selection }) => {

        if (canceled) return;

        

        const destinationName = Object.keys(teleportDestinations)[selection];

        const destinationCoordinates = teleportDestinations[destinationName];



        if (!destinationCoordinates) return AdminMenu(player);



        const [x, y, z] = destinationCoordinates;



        player.teleport({ x, y, z });

        player.sendMessage(`§aTeleported to ${destinationName}`);

    });

}

