import { world } from "@minecraft/server";
import { ModalFormData } from "@minecraft/server-ui";

/**
 * @param {Player} player
 */
export default async function TeleportToPlayer(player) {
    const players = world.getPlayers().filter(p => p !== player);
    if (players.length === 0) return player.sendMessage("§cThere are no other players online.");

    const form = new ModalFormData()
        .title("§bTeleport To Player")
        .dropdown("§7Select a player to teleport to:", players.map(p => p.name));

    const { canceled, formValues } = await form.show(player);
    if (canceled) return;

    const target = players[formValues[0]];
    if (!target) {
        player.sendMessage("§cPlayer not found.");
        return;
    }

    const location = target.location;
    player.teleport({ x: location.x, y: location.y + 1, z: location.z });
    player.sendMessage(`§aYou have been teleported to §e${target.name}`);
}
